Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros
transcoder.h File Reference

## Classes
class | Transcoder
| Simple transcoder for converting between external char and wchar_t strings and internal strings. More...

## Namespaces
| log4cxx
| log4cxx::helpers

## Macros
#define | LOG4CXX_ENCODE_CHAR(var, src)
#define | LOG4CXX_DECODE_CHAR(var, src)
#define | LOG4CXX_DECODE_CFSTRING(var, src)
#define | LOG4CXX_ENCODE_CFSTRING(var, src) CFStringRef var = log4cxx::helpers::Transcoder::encode(src)
#define | LOG4CXX_ENCODE_WCHAR(var, src)
#define | LOG4CXX_DECODE_WCHAR(var, src)
#define | LOG4CXX_ENCODE_UNICHAR(var, src)
#define | LOG4CXX_DECODE_UNICHAR(var, src)

## Macro Definition Documentation

#define LOG4CXX_DECODE_CFSTRING | ( |  | var,
|  |  | src
| ) |  |

Value:
log4cxx::LogString var; \
log4cxx::helpers::Transcoder::decode(src, var)
log4cxx::LogString
std::basic_string< logchar > LogString
Definition: logstring.h:68
log4cxx::helpers::Transcoder::decode
static unsigned int decode(const std::string &in, std::string::const_iterator &iter)
Decodes next character from a UTF-8 string.

#define LOG4CXX_DECODE_CHAR | ( |  | var,
|  |  | src
| ) |  |

Value:
log4cxx::LogString var; \
log4cxx::helpers::Transcoder::decode(src, var)
log4cxx::LogString
std::basic_string< logchar > LogString
Definition: logstring.h:68
log4cxx::helpers::Transcoder::decode
static unsigned int decode(const std::string &in, std::string::const_iterator &iter)
Decodes next character from a UTF-8 string.

#define LOG4CXX_DECODE_UNICHAR | ( |  | var,
|  |  | src
| ) |  |

Value:
log4cxx::LogString var; \
log4cxx::helpers::Transcoder::decode(src, var)
log4cxx::LogString
std::basic_string< logchar > LogString
Definition: logstring.h:68
log4cxx::helpers::Transcoder::decode
static unsigned int decode(const std::string &in, std::string::const_iterator &iter)
Decodes next character from a UTF-8 string.

#define LOG4CXX_DECODE_WCHAR | ( |  | var,
|  |  | src
| ) |  |

Value:
log4cxx::LogString var; \
log4cxx::helpers::Transcoder::decode(src, var)
log4cxx::LogString
std::basic_string< logchar > LogString
Definition: logstring.h:68
log4cxx::helpers::Transcoder::decode
static unsigned int decode(const std::string &in, std::string::const_iterator &iter)
Decodes next character from a UTF-8 string.

#define LOG4CXX_ENCODE_CFSTRING | ( |  | var,
|  |  | src
| ) |  | CFStringRef var = log4cxx::helpers::Transcoder::encode(src)

#define LOG4CXX_ENCODE_CHAR | ( |  | var,
|  |  | src
| ) |  |

Value:
std::string var; \
log4cxx::helpers::Transcoder::encode(src, var)
log4cxx::helpers::Transcoder::encode
static void encode(unsigned int ch, std::string &dst)
Appends UCS-4 value to a UTF-8 string.

#define LOG4CXX_ENCODE_UNICHAR | ( |  | var,
|  |  | src
| ) |  |

Value:
std::basic_string<UniChar> var; \
log4cxx::helpers::Transcoder::encode(src, var)
log4cxx::helpers::Transcoder::encode
static void encode(unsigned int ch, std::string &dst)
Appends UCS-4 value to a UTF-8 string.

#define LOG4CXX_ENCODE_WCHAR | ( |  | var,
|  |  | src
| ) |  |

Value:
std::wstring var; \
log4cxx::helpers::Transcoder::encode(src, var)
log4cxx::helpers::Transcoder::encode
static void encode(unsigned int ch, std::string &dst)
Appends UCS-4 value to a UTF-8 string.